/**
 * @file
 * quartiers_de_demain behaviors.
 */
 (function (Drupal) {

    'use strict';
  
    Drupal.behaviors.quartiers_de_demain = {
      attach: function (context, settings) {
        console.log('It works!');
      }
    };
  } (Drupal));

  
  jQuery(document).ready(function($){

  //   $('.open-block').click(function(){
  //     $(this).toggleClass('opened');

  //     $('.header_nav_container').toggleClass('display-nav-opened');
    
  //     if(mobile == true){
  //       $("body").css("overflow","hidden");
  //     }

  //   });
  
  //   // Hide the header_nav_container when a link inside it is clicked
  //   $('.header_nav_container li').click(function() {
  //       $('.header_nav_container').fadeOut();
  //   });




  });

  //////// header ////////////


  document.addEventListener('DOMContentLoaded', function() {
    const headerNavContainer = document.querySelector('.header_nav_container');
    let lastScrollTop = 0;
    let threshold = 100; // Change this value as needed
    let isHidden = false;
  
    function slideOut() {
      headerNavContainer.animate([
        { transform: 'translateX(0)' },
        { transform: 'translateX(-100%)' }
      ], {
        duration: 300,
        fill: 'forwards'
      });
      isHidden = true;
    }
  
    function slideIn() {
      headerNavContainer.animate([
        { transform: 'translateX(-100%)' },
        { transform: 'translateX(0)' }
      ], {
        duration: 300,
        fill: 'forwards'
      });
      isHidden = false;
    }
  
    function handleScroll() {
      let scrollTop = window.pageYOffset || document.documentElement.scrollTop;
      
      if (scrollTop > threshold && !isHidden) {
        slideOut();
      } else if (scrollTop <= threshold && isHidden) {
        slideIn();
      }
      
      lastScrollTop = scrollTop <= 0 ? 0 : scrollTop; // For Mobile or negative scrolling
    }
  
    window.addEventListener('scroll', function() {
      handleScroll();
    });

    const headerLeftContainer = document.querySelector('header');
    headerLeftContainer.addEventListener('mouseenter', function() {
      slideIn(); // Slide out on mouse enter
    });
  
    headerLeftContainer.addEventListener('mouseleave', function() {
      if (lastScrollTop <= threshold) {
        slideOut(); // Slide in on mouse leave if not scrolled down
      }
    });

  });
  
  

// /////////////////
//// ancre dans texte au click parragraphe correspondant arrive en dessous du header 


(function($, window) {
  var adjustAnchor = function() {
      var $anchor = $('.sidebar_first_container'),
              fixedElementHeight = 500;
      if ($anchor.length > 0) {
          $('html, body').stop().animate({scrollTop: $anchor.offset().top - fixedElementHeight }, 0);
      }
  };

  $(window).on('hashchange', function() {
      adjustAnchor();
  });


//////////////////////////////////////////// smooth apparition des textes


function scrollReaveal(){

  const nodes = {
    logo : document.querySelectorAll('#logo-animated-container'),
    chapeau :  document.querySelectorAll('.field_body'),
    paragraph: document.querySelectorAll('.field_field_textes .paragraph--type--static-parts'),
  }

  const showUp = {
      origin: 'bottom',
      delay: 100,
      duration: 1000,
      distance: '50px',
      easing: 'cubic-bezier(0.5, 0, 0, 1)'
  }

  const Show = {
    delay: 100,
    duration: 600,
    easing: 'cubic-bezier(0.5, 0, 0, 1)'
  }

  console.log(nodes);

  ScrollReveal().reveal(nodes.logo, Show);
  ScrollReveal().reveal(nodes.chapeau, showUp);
  ScrollReveal().reveal(nodes.paragraph, showUp);
}


$( document ).ready(function() {
  scrollReaveal();
});



////////////////// Timeline ///////////////////////

document.addEventListener('DOMContentLoaded', function() {
  let currentSlide = 0;

  function showSlides(index) {
      const slides = document.querySelectorAll('.paragraph--type--phase-deroulement');
      const totalSlides = slides.length;
      const visibleSlides = 3; // Number of slides to show at a time
      const maxSlide = totalSlides - visibleSlides;

      // Adjust the index to ensure it stays within bounds
      currentSlide = Math.max(0, Math.min(index, maxSlide));

      // Calculate the offset for the transform
      const offset = currentSlide * -100 / visibleSlides;
      document.querySelector('.__timeline-content').style.transform = `translateX(${offset}%)`;

      // Enable/disable arrows based on the current slide
      document.getElementById('arrowPrev').disabled = currentSlide === 0;
      document.getElementById('arrowNext').disabled = currentSlide === maxSlide;
  }


  function prevSlide() {
      showSlides(currentSlide - 1);
  }

  function nextSlide() {
      showSlides(currentSlide + 1);
  }

  // Attach event listeners
  document.getElementById('arrowPrev').addEventListener('click', prevSlide);
  document.getElementById('arrowNext').addEventListener('click', nextSlide);

  
  // Check and replace empty day fields
  document.querySelectorAll('.paragraph--type--phase-deroulement').forEach(function(paragraph) {
    const dateElement = paragraph.querySelector('.date');
    const dayField = paragraph.querySelector('.field_field_date_de_jour');
    const monthField = paragraph.querySelector('.field_field_date_de_moi div:nth-of-type(2)');

    if (dayField && dayField.textContent.trim()) {
      dateElement.classList.add('jour');
    } else {
      dateElement.classList.add('mois');
      const monthText = monthField.textContent.trim();
      // console.log(monthText)
      if (monthText.length >= 3) {
      monthField.textContent = monthText.slice(0, 3);
      console.log(monthField)
      }
    }
  });

  // Initialize
  showSlides(currentSlide);
});




//  slideshow home 

  $(document).ready(function(){
      $('.content-actus .view').slick({
        slidesToShow: 3,
        // slidesToScroll: 1,
        dots: false,
        arrows: true,
        centerMode: true,
        adaptiveHeight: true,
        // centerPadding: '100px',
        responsive: [
          {
            breakpoint: 810,
            settings: {
              slidesToShow: 1,
              adaptiveHeight: true,
              arrows: false,
              draggable: true,
              centerMode: true,
            }
          }]
      });
      console.log('salut slick home');

  });

})(jQuery, window);


